<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.9.xsd"
        objectQuotingStrategy="QUOTE_ONLY_RESERVED_WORDS">
    <changeSet id="1649666415720-1" author="subbotin (generated)">
        <createTable tableName="pet_tags">
            <column name="pet_id" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="tags_id" type="BIGINT">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>
    <changeSet id="1649666415720-2" author="subbotin (generated)">
        <createTable tableName="tag">
            <column autoIncrement="true" name="id" type="BIGINT">
                <constraints nullable="false" primaryKey="true" primaryKeyName="pk_tag"/>
            </column>
            <column name="name" type="VARCHAR(255)"/>
        </createTable>
    </changeSet>
    <changeSet id="1649666415720-3" author="subbotin (generated)">
        <addForeignKeyConstraint baseColumnNames="pet_id" baseTableName="pet_tags" constraintName="fk_pet_tags_on_pet"
                                 referencedColumnNames="id" referencedTableName="pet"/>
    </changeSet>
    <changeSet id="1649666415720-4" author="subbotin (generated)">
        <addForeignKeyConstraint baseColumnNames="tags_id" baseTableName="pet_tags" constraintName="fk_pet_tags_on_tag"
                                 referencedColumnNames="id" referencedTableName="tag"/>
    </changeSet>

</databaseChangeLog>